var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconWorkflowDebugComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-workflow-debug").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 24 24" }, rest, { ref: ref }),
        React.createElement("g", null,
            React.createElement("path", { d: "M18.788 5.212A9.6 9.6 0 1 0 5.212 18.789 9.6 9.6 0 0 0 18.788 5.212ZM9.625 7.2c.15.004.298.05.425.134l6.013 3.919a.854.854 0 0 1 .291.32.91.91 0 0 1 0 .853c-.07.13-.17.24-.29.32l-6.014 3.92a.817.817 0 0 1-.856.024.862.862 0 0 1-.317-.323.91.91 0 0 1-.117-.447V8.08a.91.91 0 0 1 .117-.447.861.861 0 0 1 .317-.323.816.816 0 0 1 .431-.11Z" })));
}
var IconWorkflowDebug = React.forwardRef(IconWorkflowDebugComponent);
export default IconWorkflowDebug;
